Skip to content

AcctTypeName⁠

Perform various operations for Symitar parameters.

Operations⁠

getAcctTypeNameSelectFields⁠

POST

Execute the persistent ParameterService getAcctTypeNameSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AcctTypeNameAcctTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAcctTypeNameSelectFields
POST /nexum/627/persistent/parameter/getAcctTypeNameSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "AcctTypeNameAcctType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllAcctTypeNameFields": true,
    "AcctTypeNameFields": {
      "AcctType": true,
      "Description": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getAcctTypeNamePagedListSelectFields⁠

POST

Execute the persistent ParameterService getAcctTypeNamePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getAcctTypeNamePagedListSelectFields
POST /nexum/627/persistent/parameter/getAcctTypeNamePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllAcctTypeNameFields": true,
    "AcctTypeNameFields": {
      "AcctType": true,
      "Description": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchAcctTypeNamePagedSelectFields⁠

POST

Execute the persistent ParameterService searchAcctTypeNamePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchAcctTypeNamePagedSelectFields
POST /nexum/627/persistent/parameter/searchAcctTypeNamePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllAcctTypeNameFields": true,
    "AcctTypeNameFields": {
      "AcctType": true,
      "Description": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateAcctTypeNameByID⁠

POST

Execute the persistent ParameterService updateAcctTypeNameByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

AcctTypeNameAcctTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateAcctTypeNameByID
POST /nexum/627/persistent/parameter/updateAcctTypeNameByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "AcctTypeNameAcctType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "AcctTypeNameFields": {
    "AcctType": 0,
    "Description": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}